Subject: Re: bug#64847: Emacs 29 RC1 takes around 25ms longer to start without config and about 25ms with config

From: Yanchi Tóth <[email-masked]>
Date: Wed, 26 Jul 2023 10:35:02 +0200

I am used about thinking about submillisecond times, so I definitely
noticed, but on the other hand, the libraries bring value. I think the
final decision rests with you :)

On Tue, Jul 25, 2023 at 4:01 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Yanchi Tóth <[email-masked]>
> > Date: Tue, 25 Jul 2023 15:23:37 +0200
> > Cc: [email-masked]
> >
> > Here's the configuration data for 28.2. I believe it says it was built
> with --with-native-compilation, but
> > not AOT. Is that where you expect the time difference to come from?
>
> Could be, mainly in the "w/ config" case, where presumably Emacs loads
> packages that are not preloaded.
>
> In addition, Emacs 29.1 loads 8 more preloaded packages than Emacs
> 28.2 does, even without config, and those 8 additional *.eln files
> need to be loaded at startup (they are DLLs in disguise), which takes
> time, especially if your system has some antivirus software active
> which checks every DLL loaded by a program.
>
> So I don't think 25 msec of additional startup time sounds outlandish
> to me.
>